<template>
  <div class="langDropdown">
    <div
      class="langDropdown_inner"
      :class="showed ? 'show' : ''">
      <div
        class="langDropdown_item"
        v-for="(lang, key) in languages"
        @click="changeLanguage(lang)">
        <img
          class="langDropdown_item-img"
          :src="lang.icon"
          :key="key">
        <div class="langDropdown_item-label">
          {{lang.label}}
        </div>
      </div>
    </div>
    <div
      class="langDropdown_arrow"
      @click="showed = !showed">
      <i class="i-icon-arrow-down"></i>
    </div>
  </div>
</template>

<script>
  export default {
    name: "TheTag18",
    data() {
      return {
        showed: false,
        active: 'en-EN',
      }
    },
    computed: {
      languages() {
        const act = this.active;
        const langs = [{
          icon: './lang/eng.png',
          label: this.$t('header.lang.en'),
          value: 'en-EN',
          pos: 1
        }, {
          icon: './lang/ch.png',
          label: this.$t('header.lang.ch'),
          value: 'ch-CH',
          pos: 2
        }, {
          icon: './lang/esp.png',
          label: this.$t('header.lang.esp'),
          value: 'es-ES',
          pos: 3
        }, {
          icon: './lang/rus.png',
          label: this.$t('header.lang.ru'),
          value: 'ru-RU',
          pos: 4
        }];
        let pos = 1;
        const filtered = langs.map(item => {
          if (item.value === act) {
            item.pos = 1;
          } else {
            pos++;
            item.pos = pos;
          }
          return item;
        });
        filtered.sort((a, b) => a.pos > b.pos ? 1 : -1);
        return filtered;
      }
    },
    methods: {
      changeLanguage(lang) {
        if (!this.showed) return;
        this.active = lang.value;
        this.$store.commit('common/SET_LANGUAGE', lang.value);
        this.$i18n.locale = lang.value;
        this.showed = false;
      }
    },
    mounted() {
      this.active = this.$store.state.common.locale;
    }
  }
</script>
